#!/bin/bash

# exit, if a command fails
set -e

# cd to repo dir
SCRIPT_DIR="$( cd "$( dirname "$0" )" && pwd )"
cd "$SCRIPT_DIR"/../

# compile settings
glib-compile-schemas zorin-tiling-assistant@zorinos.com/schemas

# compile tl: requires gettext
for FILE in translations/*.po; do
    LANG=$(basename "$FILE" .po)
    mkdir -p "zorin-tiling-assistant@zorinos.com/locale/$LANG/LC_MESSAGES"
    msgfmt -c "$FILE" -o "zorin-tiling-assistant@zorinos.com/locale/$LANG/LC_MESSAGES/zorin-tiling-assistant@zorinos.com.mo"
done

# create zip package and delete locale directory
rm -f zorin-tiling-assistant@zorinos.com.shell-extension.zip
cd zorin-tiling-assistant@zorinos.com
zip -qr zorin-tiling-assistant@zorinos.com.shell-extension.zip ./*
cd ..
mv zorin-tiling-assistant@zorinos.com/zorin-tiling-assistant@zorinos.com.shell-extension.zip ./

while getopts i FLAG; do
    case $FLAG in

        i)  echo Installing extension...
            gnome-extensions install --force zorin-tiling-assistant@zorinos.com.shell-extension.zip && \
            rm -f zorin-tiling-assistant@zorinos.com.shell-extension.zip && \
            echo Installation complete. Restart GNOME Shell and enable the extension to use it. || \
            exit 1;;

        *)  echo Don\'t use any flags to just create an extension package. Use \'-i\' to additionally install the extension.
            exit 1;;
    esac
done
